#
# spec file for package libeigen3-devel
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define githash 5097c01bcdc4
Name:           libeigen3-devel
BuildRequires:  c++_compiler
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  kde4-filesystem
BuildRequires:  pkg-config
Summary:        Lightweight linear algebra C++ template library
License:        GPL-2.0+ and LGPL-3.0+
Group:          Development/Libraries/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://eigen.tuxfamily.org/
Version:        3.1.2
Release:        1.1
BuildArch:      noarch
Source:         eigen-%{version}.tar.bz2

%description
Eigen is a lightweight C++ template library for vector and matrix math,
a.k.a. linear algebra.

%prep
%setup -q -n eigen-eigen-%{githash}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc COPYING.BSD COPYING.LGPL COPYING.MPL2 COPYING.GPL COPYING.MINPACK COPYING.README INSTALL
/usr/include/eigen3
/usr/share/pkgconfig/eigen3.pc

%changelog
* Wed Dec 19 2012 boris@steki.net
- update to latest upstream version 3.1.2
* Tue Nov 20 2012 nico.kruber@gmail.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Thu Jul 21 2011 idonmez@novell.com
- Make it a noarch package to fix rpmlint warning
* Mon Jun 27 2011 toddrme2178@gmail.com
- update to 2.0.16
  * Fix bug in 3x3 tridiagonlisation (and consequently in 3x3
  selfadjoint eigen decomposition).
  * Fix compilation for new gcc 4.6.
  * Fix performance regression since 2.0.12: in some matrix-vector
  product, complex matrix expressions were not pre-evaluated.
  * Fix documentation of Least-Square.
  * New feature: support for part<SelfAdjoint>.
  * Fix bug in SparseLU::setOrderingMethod.
* Tue Mar 15 2011 coolo@novell.com
- update to 2.0.15 (yes, majorly screwed up upstream as
  version downgrade for rpm)
  * the change against 2.0 is mainly a huge list of bug fixes,
  http://eigen.tuxfamily.org/index.php?title=ChangeLog#Eigen_2.0.15
* Tue Feb  3 2009 stbinner@suse.de
- update to 2.0 final release:
  * no upstream changelog available
* Wed Jan 28 2009 dmueller@suse.de
- update to 2.0 rc1:
  * no upstream changelog available
* Tue Jan  6 2009 dmueller@suse.de
- update to 2.0 beta 5:
  * no upstream changelog available
* Tue Sep 16 2008 stbinner@suse.de
- update to 2.0 beta 1
  (upstream changelog not available)
* Wed Aug 20 2008 stbinner@suse.de
- update to 2.0 alpha 7
* Tue Feb 27 2007 dmueller@suse.de
- update to 1.0.5:
  * API for computing matrix inverse only if matrix is invertible
* Mon Feb 26 2007 dmueller@suse.de
- update to 1.0.4:
  * improved vector handling, new matrix operations
* Fri Feb  9 2007 dmueller@suse.de
- Initial package (1.0.3)
